diff --git a/src/abstract-signer/index.ts b/src/abstract-signer/index.ts
index 5a547fc..39a88a9 100644
--- a/src/abstract-signer/index.ts
+++ b/src/abstract-signer/index.ts
@@ -85,7 +85,7 @@ export abstract class Signer {
     if (typeof txnOutput.gas_used === 'number') {
       return 3 * txnOutput.gas_used;
     }
-    return 3n * txnOutput.gas_used.valueOf();
+    return BigInt(3) * txnOutput.gas_used.valueOf();
   }
 
   // calls with the transaction
@@ -130,7 +130,7 @@ export abstract class Signer {
     // eslint-disable-next-line no-restricted-syntax
     for (const key of Object.keys(transaction)) {
       if (!allowedTransactionKeys.has(key)) {
-        logger.throwArgumentError(`invalid transaction key: ${key}`, 'transaction', transaction);
+        logger.throwArgumentError(`invalid transaction key: ${ key }`, 'transaction', transaction);
       }
     }
 
@@ -186,7 +186,7 @@ export abstract class Signer {
         if (forwardErrors.has(error.code)) {
           throw error;
         }
-        console.log(`err: ${error}`);
+        console.log(`err: ${ error }`);
         return logger.throwError('cannot estimate gas; transaction may fail or may require manual gas limit', Logger.errors.UNPREDICTABLE_GAS_LIMIT, {
           error,
           tx
diff --git a/src/providers/jsonrpc-provider.spec.ts b/src/providers/jsonrpc-provider.spec.ts
index 8ebbbbf..249f0c2 100644
--- a/src/providers/jsonrpc-provider.spec.ts
+++ b/src/providers/jsonrpc-provider.spec.ts
@@ -182,7 +182,7 @@ describe('jsonrpc-provider', () => {
     // const txnOutput = await provider.dryRun(txnRequest)
 
     // TODO: generate maxGasAmount from contract.dry_run -> gas_used
-    let maxGasAmount = 10000000n;
+    let maxGasAmount = BigInt(10000000);
     const gasUnitPrice = 1;
     // because the time system in dev network is relatively static,
     // we should use nodeInfo.now_secondsinstead of using new Date().getTime()
